Subject: Re: [PATCH 1/3] format_commit_message(): fix function signature

From: René Scharfe <[email-masked]>
Date: Sat, 17 Oct 2009 23:04:24 +0200

Junio C Hamano schrieb:
> The format template string was declared as "const void *" for some unknown
> reason, even though it obviously is meant to be passed a string.  Make it
> "const char *".

Yes.  I seem to have introduced that type in commit 7b95089c, but I
can't see (even less remember) why.  Also note that commit message and
header file call the parameter "template", while it's called "format" in
commit.c (where the function used to live back then).  What was I thinking?

Thanks for cleaning up after me.

René